﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LinqChunk
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] data = new[] {
                                    "OD",
                                    "Dahan",
                                    "18:00",
                                    "MF",
                                    "Furuta",
                                    "12:00",
                                    "BG",
                                    "Gates",
                                    "10:00"
                                    };
            var personnes = data
                .Select
                (
                    (s, i) =>
                        new
                        {
                            Value = s,
                            Bloc = i / 3
                        }
                )
                .GroupBy(x => x.Bloc)
                .Select
                (
                    g =>
                        new
                        {
                            Initiales = g.First().Value,
                            Nom = g.Skip(1).First().Value,
                            RendezVous = g.Skip(2).First().Value
                        }
                );
            foreach (var p in personnes.OrderBy(p=>p.Nom))
                Console.WriteLine(p);

            Console.ReadLine();
        }
    }
}
